package borealis

import (
	"reflect"
	"time"

	"github.com/segmentio/ksuid"
)

type Event struct {
	Type         uint16
	SequentialID uint64
	Timestamp    time.Time
	UniqueID     ksuid.KSUID
	Payload      interface{}
}

func (event Event) Equal(other Event) bool {
	return reflect.DeepEqual(event, other)
}
